@import "fontSizes";
@import "colors";
@import "global";

// naglowek sklepu / np. single product page
.shop-header {
    background: url('../../assets/images/main-background.png') no-repeat;
    background-size: cover;
    height: 400px;

    .text {
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: flex-end;
        background: linear-gradient(to bottom, rgba(125, 185, 232, 0) 0%, rgba(26, 55, 74, 1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#007db9e8', endColorstr='#1a374a', GradientType=0);
    }

    h1 {
        display: inline-block;
        margin-bottom: 40px;
        padding: 20px 40px 15px 40px;
        background: url('../../assets/images/header-bar.png');
        background-size: 100% 100%;
        color: $darkBlue;
        font-size: $headerSectionBar;
        font-family: 'Sancreek', cursive;
        text-transform: uppercase;
    }
}

.single-product-bg {
    background: $darkBlue;
}

.woocommerce-breadcrumb {
    color: $pink;

    a {
        color: $light
    }
}

.single-product {
    .product {
        padding: 20px 0 40px 0;
    }

    .custom-product-gallery {
        position: relative;

        .onsale {
            position: absolute;
            top: 15px;
            left: 30px;
            z-index: 9;
            background: $pink;
            padding: 10px;
            color: $light
        }

        .woocommerce-product-gallery {
            .woocommerce-product-gallery__trigger {
                padding: 10px;
                position: absolute;
                top: 15px;
                right: 30px;
                z-index: 9;
            }

            .woocommerce-product-gallery__wrapper {
                img {}
            }

            .flex-control-nav {
                margin-top: 15px;
                list-style: none;
                display: flex;
                justify-content: space-between;
            }
        }
    }

    .summary {
        color: $light;

        .price {
            del {
                color: $grey;
                font-size: $text;
                opacity: 0.8;
            }

            ins {
                color: $pink;
                font-size: $buttonStandard;
                font-weight: 700;
            }
        }

        .quantity {
            .screen-reader-text {
                position: static !important;
                height: auto;
                width: auto;
            }

            .qty {
                display: block;
                padding: 10px;
            }
        }

        .single_add_to_cart_button {
            margin: 25px 0;
        }

        .product_meta {
            a {
                color: $grey
            }
        }
    }

    .woocommerce-tabs {
        margin-top: 20px;
        ul {
            list-style: none;

            li {
                display: inline-block;

                a {
                    display: block;
                    @extend .grey-button;
                    @extend .default-button;

                }
            }
        }
    }
    .woocommerce-Tabs-panel{
        color: $light;
        p{
            margin-bottom: 0;
        }
    }
}

.single_add_to_cart_button {
    @extend .default-button;
}